// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16SDI/16SDI_Linux_4.x.x.x_GSC_DN/samples/sbtest/perform.c $
// $Rev: 50367 $
// $Date: 2022-02-15 16:56:05 -0600 (Tue, 15 Feb 2022) $

// 16SDI: Sample Application: source file

#include "main.h"



//*****************************************************************************
int perform_tests(int fd)
{
	int	errs	= 0;

	errs	+= reg_read_test(fd);				// SDI_IOCTL_REG_READ
	errs	+= reg_write_test(fd);				// SDI_IOCTL_REG_WRITE
	errs	+= reg_mod_test(fd);				// SDI_IOCTL_REG_MOD
	errs	+= query_test(fd);					// SDI_IOCTL_QUERY
	errs	+= initialize_test(fd);				// SDI_IOCTL_INITIALIZE
	errs	+= auto_calibrate_test(fd);			// SDI_IOCTL_AUTO_CALIBRATE
	errs	+= rx_io_abort_test(fd);			// SDI_IOCTL_RX_IO_ABORT
	errs	+= rx_io_mode_test(fd);				// SDI_IOCTL_RX_IO_MODE
	errs	+= rx_io_timeout_test(fd);			// SDI_IOCTL_RX_IO_TIMEOUT
	errs	+= ain_buf_clear_test(fd);			// SDI_IOCTL_AIN_BUF_CLEAR
	errs	+= ain_buf_input_test(fd);			// SDI_IOCTL_AIN_BUF_INPUT
	errs	+= ain_buf_threshold_test(fd);		// SDI_IOCTL_AIN_BUF_THRESH
	errs	+= ain_mode_test(fd);				// SDI_IOCTL_AIN_MODE
	errs	+= ain_range_test(fd);				// SDI_IOCTL_AIN_RANGE
	errs	+= channel_group_0_source_test(fd);	// SDI_IOCTL_CH_GRP_0_SRC
	errs	+= channel_group_1_source_test(fd);	// SDI_IOCTL_CH_GRP_1_SRC
	errs	+= channel_group_2_source_test(fd);	// SDI_IOCTL_CH_GRP_2_SRC
	errs	+= channel_group_3_source_test(fd);	// SDI_IOCTL_CH_GRP_3_SRC
	errs	+= channel_order_test(fd);			// SDI_IOCTL_CHANNEL_ORDER
	errs	+= data_format_test(fd);			// SDI_IOCTL_DATA_FORMAT
	errs	+= init_mode_test(fd);				// SDI_IOCTL_INIT_MODE
	errs	+= irq_sel_test(fd);				// SDI_IOCTL_IRQ_SEL
	errs	+= sw_sync_test(fd);				// SDI_IOCTL_SW_SYNC
	errs	+= sw_sync_mode_test(fd);			// SDI_IOCTL_SW_SYNC_MODE
	errs	+= rate_div_00_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_00_NDIV
	errs	+= rate_div_01_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_01_NDIV
	errs	+= rate_div_02_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_02_NDIV
	errs	+= rate_div_03_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_03_NDIV
	errs	+= rate_div_04_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_04_NDIV
	errs	+= rate_div_05_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_05_NDIV
	errs	+= rate_div_06_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_06_NDIV
	errs	+= rate_div_07_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_07_NDIV
	errs	+= rate_div_08_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_08_NDIV
	errs	+= rate_div_09_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_09_NDIV
	errs	+= rate_div_10_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_10_NDIV
	errs	+= rate_div_11_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_11_NDIV
	errs	+= rate_div_12_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_12_NDIV
	errs	+= rate_div_13_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_13_NDIV
	errs	+= rate_div_14_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_14_NDIV
	errs	+= rate_div_15_ndiv_test(fd);		// SDI_IOCTL_RATE_DIV_15_NDIV
	errs	+= rate_gen_a_nrate_test(fd);		// SDI_IOCTL_RATE_GEN_A_NRATE
	errs	+= rate_gen_b_nrate_test(fd);		// SDI_IOCTL_RATE_GEN_B_NRATE
	errs	+= rate_gen_c_nrate_test(fd);		// SDI_IOCTL_RATE_GEN_C_NRATE
	errs	+= rate_gen_d_nrate_test(fd);		// SDI_IOCTL_RATE_GEN_D_NRATE
	errs	+= wait_event_test(fd);				// SDI_IOCTL_WAIT_EVENT
	errs	+= wait_cancel_test(fd);			// SDI_IOCTL_WAIT_CANCEL
	errs	+= wait_status_test(fd);			// SDI_IOCTL_WAIT_STATUS
	errs	+= voltage_test(fd);

	return(errs);
}


